#!/bin/bash

if [ -f /unas/etc/wmi/iso-ins_host-ren ]; then

    HOSTNAME=`hostname`
    HNCHARS=`echo $HOSTNAME|sed 's/[0-9]//g'`

    if [ $HOSTNAME = "U-NAS" ] || [ -z $HNCHARS ] || hostname -i | grep -E ^0\. ; then

        CHARS=0123456789ABCDEFGHIJKLMNPQRSTUVWXYZ

        MAC=`ip a | grep "link/ether" | awk '{print $2}'`
        MACVAR=${MAC:12:2}${MAC:15:2}
        PREFIX=
        X=$((16#$MACVAR))
        while [ $X -gt 0 ]
        do
            N=$[X%36]
            X=$[X/36]
            PREFIX=${CHARS:$N:1}$PREFIX
        done

        current=`date "+%Y-%m-%d %H:%M:%S"`
        timeStamp=`date -d "$current" +%s`

        NUM=
        X=$[timeStamp-1630425600]
        while [ $X -gt 0 ]
        do
            N=$[X%36]
            X=$[X/36]
            NUM=${CHARS:$N:1}$NUM
        done

        ## RET=$PREFIX$NUM

#        NEW_HOST_NAME="U-NAS-"$PREFIX$NUM
        NEW_HOST_NAME="UNAS"$PREFIX$NUM
#        sudo hostnamectl set-hostname $NEW_HOST_NAME

        php /unas/sbin/init.d/unas_hostinit.php $NEW_HOST_NAME
        rm -rf /unas/sbin/init.d/unas_hostinit.php

        sudo systemctl restart wsdd

    fi

    rm -rf /unas/etc/wmi/iso-ins_host-ren
fi

if [ ! -f /unas/etc/osuuid ]; then
    cat /proc/sys/kernel/random/uuid > /unas/etc/osuuid
fi

rm -rf $0

