#!/bin/bash

rm -f /var/lib/dpkg/lock-frontend
rm -f /var/lib/dpkg/lock
rm -f /var/cache/apt/archives/*.deb
rm -f /var/lib/dpkg/updates/*

ntpdate pool.ntp.org
hwclock

mv -f /unas/etc/appmanager/aptpool.json /unas/etc/appmanager/aptpool.json.ready

CURRENT_STAMP=$(date "+%Y.%m.%d-%H%M%S")
snapper -c U-NAS_BASE_OS create-config /
snapper -c U-NAS_BASE_OS create --description="APPS_SNAPPER_"$CURRENT_STAMP

mv -f /unas/etc/appmanager/aptpool.json.ready /unas/etc/appmanager/aptpool.json

/usr/sbin/ntpdate-debian
/usr/bin/php /unas/sbin/wmi/apps_apt.php

exit 0
